%global  basever 0.8.12

Name:           emerald
URL:            https://github.com/raveit65/emerald
License:        GPLv2+
Group:          User Interface/Desktops
Version:        0.8.12.4
Release:        1%{?dist}
Epoch:          1
Summary:        Themeable window decorator and compositing manager for Compiz
Source0:        https://github.com/raveit65/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# compiz-devel is not available on these arches
ExcludeArch:    s390 s390x

Requires:       compiz >= %{basever}

# fix rhbz (#1291897)
Obsoletes: compiz-xfce < %{epoch}:%{version}-%{release}
Obsoletes: compiz-lxde < %{epoch}:%{version}-%{release}
%if 0%{?fedora} < 24
Provides:  compiz-xfce = %{epoch}:%{version}-%{release}
Provides:  compiz-lxde = %{epoch}:%{version}-%{release}
%endif

BuildRequires:  compiz-devel >= %{basever}
BuildRequires:  libwnck3-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool 
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser) 
BuildRequires:  gettext-devel
BuildRequires:  libXres-devel
BuildRequires:  libtool


%description
Emerald is themeable window decorator and compositing
manager for Compiz.

%package devel
Summary: Development files for emerald
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
The emerald-devel package provides development files
for emerald, the themeable window decorator for Compiz.


%prep
%setup -q

%build
%configure \
    --with-gtk=3.0 \
    --disable-mime-update

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} V=1


%install
%{make_install}

find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/compiz-*-emerald.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/emerald-decorator.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/compiz-*-emerald

%find_lang %{name}


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/emerald-theme-manager.desktop

%post
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null ||:

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor/48x48/mimetypes &>/dev/null || :
    /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%doc COPYING NEWS
%{_bindir}/*
%dir %{_libdir}/emerald
%dir %{_libdir}/emerald/engines
%{_libdir}/emerald/engines/*.so
%{_libdir}/libemeraldengine.so.*
%{_datadir}/applications/emerald-theme-manager.desktop
%dir %{_datadir}/emerald
%dir %{_datadir}/emerald/theme
%{_datadir}/emerald/theme/*
%{_datadir}/emerald/settings.ini
%{_datadir}/mime-info/emerald.mime
%{_datadir}/mime/packages/emerald.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_mandir}/man1/*.1.*

%files devel
%{_includedir}/emerald/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libemeraldengine.so


%changelog
* Sat Apr 09 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.4-1
- update to 0.8.12.4 release
- build with gtk+3

* Wed Mar 16 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.2-1
- 0.8.12.2 release
- fix memleaks

* Thu Mar 03 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12.1-1
- update to 0.8.12.1 release

* Sun Feb 21 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12-2
- fix https://github.com/raveit65/emerald/issues/1

* Sat Feb 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.12-1
- update to 0.8.12 release
- Fix resize glitches on some GPU's.
- Fix wrong size of button tooltips when hovering from one to another.

* Sun Dec 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.9-3
- remove start scripts

* Fri Nov 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.9-2
- fix rhbz (#1291897)

* Fri Nov 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.9-1
- update to 0.8.9
- new upstream is at https://github.com/raveit65/emerald
- remove upstreamed patches
- add scriptlets and adjust file section for emerald start scripts
- use modern make install macro

* Wed Mar 18 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-13
- rebuild for f22

* Mon Sep 08 2014 Rex Dieter <rdieter@fedoraproject.org> 1:0.8.8-12
- fix icon scriptlet, update mime scriptlet

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-8
- fix build for aarch64
- re-work mate.patch again
- add libtool BR for autoreconf
- fix automake-1.13 build deprecations
- re-work DSO.patch

* Wed Feb 13 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-7
- rework mate-patch

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-5
- fix license information
- fix rpm scriptlets
- add icon cache rpm scriptlet
- rename DSO patch

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-4
- build for fedora
- review package
- fix unused-direct-shlib-dependency
- add basever
- add Epoch tag

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-3
- add patches from Jasmine Hassan jasmine.aura@gmail.com

* Wed Sep 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-2
- improve spec file
- add desktop-file-validate for emerald-theme-manager.desktop

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-1
- build for mate

* Sun Nov 14 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-7
- apply more upstream gtk deprecated fixes

